<div class="row">
    <div class="col-12">
        <nb-card>
            <nb-card-header>
                Dashboard
            </nb-card-header>
            <nb-card-body>
                <div class="row">
                    <div class="col">
                        <button class="btn btn-primary" (click)="fileInput.click()">Import Auctionator file</button>
                        <input type="file" accept=".lua" (change)="importFiles($event);fileInput.value= '';"
                               #fileInput
                               style="display:none"/>
                    </div>
                    <div class="col">
                        <app-imports-selector [loader]="loader"
                                              (importSelected)="auctionatorsSelected$.next($event)"></app-imports-selector>
                    </div>
                </div>
            </nb-card-body>
        </nb-card>
    </div>
</div>
<div class="row">
    <div class="col">
        <nb-card>
            <nb-card-header>
                Items in imports
            </nb-card-header>
            <nb-card-body *ngIf="auctionator$ | async as currentAuctionator">
                <app-table-auctionator *ngIf="currentAuctionator" [auctionator]="currentAuctionator">
                </app-table-auctionator>
            </nb-card-body>
        </nb-card>
    </div>
</div>
